petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMTSGetRHSJacobian

get TS Jacobian evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetRHSJacobian(DM dm,TSRHSJacobian *func,void **ctx)

Not Collective

### Input Argument

dm -DM to be used with TS

### Output Arguments

| func | - Jacobian evaluation function, see TSSetRHSJacobian() for calling sequence
| ctx | - context for residual evaluation

### Note

TSGetJacobian() is normally used, but it calls this function internally because the user context is actually associated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or not. If DM took a more central role at some later date, this could become the primary method of setting the Jacobian.

### See Also

DMTSSetContext(), TSSetFunction(), DMTSSetJacobian()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages